> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Real Estate

> Check the processing status of a real estate P&L job.



## OpenAPI

````yaml api-reference/it/calculator/openapi.json POST /it/calculator/pnl/real-estate
openapi: 3.1.0
info:
  title: in-co-sandbox-it-calculator
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/pnl/real-estate:
    post:
      tags:
        - pnl
        - real-estate
      summary: Get P&L Sync
      parameters:
        - name: Authorization
          in: header
          description: 'Token for user-level authorization. '
          schema:
            type: string
          example: '{{access_token}}'
        - name: x-api-key
          in: header
          description: Your API key used to authenticate and authorize the request.
          schema:
            type: string
          example: '{{api_key}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                '@entity':
                  type: string
                sheets:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      '@entity':
                        type: string
                      blocks:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            '@entity':
                              type: string
                            header:
                              type: array
                              items:
                                type: string
                            rows:
                              type: array
                              items:
                                type: array
                                items:
                                  type: string
            example:
              name: real_estate_tradewise_settlement_workbook
              '@entity': workbook
              sheets:
                - name: tradewise_settlement_sheet
                  '@entity': sheet
                  blocks:
                    - name: tradewise_settlement_table
                      '@entity': table
                      header:
                        - serial_number
                        - asset_type
                        - property_name
                        - country
                        - curency
                        - buy_date
                        - buy_price
                        - cost_of_acquisition
                        - sell_date
                        - sell_price
                        - transfer_expenses
                      rows:
                        - - 6abba3b3-d061-45f5-a947-c6a944663605
                          - residential_property
                          - RESID 1
                          - India
                          - INR
                          - 1696185000000
                          - 15000000
                          - 0
                          - 1712255400000
                          - 17500000
                          - 10000
                        - - 592994fb-3b14-4ec7-9203-502cd8927bec
                          - commercial_property
                          - 'COM '
                          - India
                          - INR
                          - 1011175420000
                          - 8590000
                          - 0
                          - 1712169000000
                          - 245000000
                          - 17000
                        - - 991d604c-989f-4530-948b-fa2e609c2d56
                          - non_agricultural_land
                          - 'NA '
                          - India
                          - EUR
                          - 1286649000000
                          - 8590000
                          - 0
                          - 1712169000000
                          - 24582000
                          - 17000
                        - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                          - agricultural_land
                          - UA
                          - India
                          - USD
                          - 1697740200000
                          - 230303
                          - 0
                          - 1712169000000
                          - 309000
                          - 12400
                    - name: cost_of_improvement_table
                      '@entity': table
                      header:
                        - settlement_serial_number
                        - financial_year
                        - cost
                        - indexed_cost
                      rows:
                        - - 592994fb-3b14-4ec7-9203-502cd8927bec
                          - FY 2010-11
                          - 250000
                          - null
                        - - 991d604c-989f-4530-948b-fa2e609c2d56
                          - FY 2012-13
                          - 250000
                          - null
                        - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                          - FY 2023-24
                          - 1330
                          - null
      responses:
        '200':
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                      '@entity':
                        type: string
                      sheets:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            '@entity':
                              type: string
                            blocks:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  '@entity':
                                    type: string
                                  header:
                                    type: array
                                    items:
                                      type: string
                                  rows:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                  timestamp:
                    type: string
                    format: utc-millisec
              example:
                transaction_id: 9e3f9759-5190-4a61-8f24-2ada23680936
                code: 200
                data:
                  '@entity': workbook
                  sheets:
                    - '@entity': sheet
                      blocks:
                        - '@entity': table
                          header:
                            - settlement_id
                            - asset_type
                            - property_name
                            - country
                            - currency
                            - holding_period
                            - turnover
                            - turnover_inr
                            - buy_date
                            - buy_price
                            - buy_price_inr
                            - cost_of_acquisition
                            - cost_of_acquisition_inr
                            - sell_date
                            - sell_price
                            - sell_price_inr
                            - total_cost_of_improvement
                            - total_cost_of_improvement_inr
                            - realized_pnl
                            - realized_pnl_inr
                            - transfer_expenses
                            - transfer_expenses_inr
                            - net_realized_pnl
                            - net_realized_pnl_inr
                          rows:
                            - - 6abba3b3-d061-45f5-a947-c6a944663605
                              - residential_property
                              - RESID 1
                              - India
                              - INR
                              - short_term
                              - 17500000
                              - 17500000
                              - 1696185000000
                              - 15000000
                              - 15000000
                              - 0
                              - 0
                              - 1712255400000
                              - 17500000
                              - 17500000
                              - 0
                              - 0
                              - 2500000
                              - 2500000
                              - 10000
                              - 10000
                              - 2490000
                              - 2490000
                            - - 592994fb-3b14-4ec7-9203-502cd8927bec
                              - commercial_property
                              - 'COM '
                              - India
                              - INR
                              - long_term
                              - 245000000
                              - 245000000
                              - 1011175420000
                              - 8590000
                              - 8590000
                              - 0
                              - 0
                              - 1712169000000
                              - 245000000
                              - 245000000
                              - 250000
                              - 250000
                              - 236410000
                              - 236410000
                              - 17000
                              - 17000
                              - 236143000
                              - 236143000
                            - - 991d604c-989f-4530-948b-fa2e609c2d56
                              - non_agricultural_land
                              - 'NA '
                              - India
                              - EUR
                              - long_term
                              - 24582000
                              - 24582000
                              - 1286649000000
                              - 8590000
                              - 8590000
                              - 0
                              - 0
                              - 1712169000000
                              - 24582000
                              - 24582000
                              - 250000
                              - 250000
                              - 15992000
                              - 15992000
                              - 17000
                              - 17000
                              - 15725000
                              - 15725000
                            - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                              - agricultural_land
                              - UA
                              - India
                              - USD
                              - short_term
                              - 309000
                              - 309000
                              - 1697740200000
                              - 230303
                              - 19173288.9923
                              - 0
                              - 0
                              - 1712169000000
                              - 309000
                              - 309000
                              - 1330
                              - 1330
                              - 78697
                              - -18864288.9923
                              - 12400
                              - 12400
                              - 64967
                              - -18878018.9923
                          name: tradewise_pnl_table
                        - '@entity': table
                          header:
                            - settlement_id
                            - financial_year
                            - cost
                            - indexed_cost
                          rows:
                            - - 592994fb-3b14-4ec7-9203-502cd8927bec
                              - FY 2010-11
                              - 250000
                              - 543413.17
                            - - 991d604c-989f-4530-948b-fa2e609c2d56
                              - FY 2012-13
                              - 250000
                              - 453750
                            - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                              - FY 2023-24
                              - 1330
                              - 1387.33
                          name: cost_of_improvement_table
                      name: tradewise_pnl_sheet
                  name: real_estate_tradewise_pnl_workbook
                timestamp: '1740058116000'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.